Get the external input form for a paused workflow execution Generally available; added in 9.4.0

GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form

Refer to Spaces for more information.

Returns an HTML form for submitting external input to a paused waitForInput step. Does not resume the execution.

Path parameters

  • executionId string Required

    Workflow execution ID

    Maximum length is 128.

  • stepId string Required

    Workflow step execution ID

    Maximum length is 128.

Query parameters

  • token string Required

    The resume token authenticating this request.

    Maximum length is 128.

Responses

  • 200 text/html

    HTML form page for submitting external input to a paused waitForInput step

GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form
curl \
  -X GET "${KIBANA_URL}/api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form?token=${RESUME_TOKEN}"
GET kbn://api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form?token={resumeToken}
Response examples (200)
Form page for external input submission
<!DOCTYPE html><html><body><h1>Submit your response</h1><form method="POST"><button type="submit">Submit</button></form></body></html>